#ifndef _AUDIO_H_
#define _AUDIO_H_

#include <string>
#include <vector>
#include <algorithm>

#include <AL/al.h>

class Audio {
	public:
	
	static std::vector<std::string> filenames;
	static std::vector<ALuint> buffers;
	static std::vector<ALvoid*> audioData;
	
	static bool init (char* thispath);
	
	static bool find (char* thispath);
	
	static void cleanup ();
};

#endif

